      subroutine premier_libre(ifich)
c
      logical ouvert
c
      libre = 0
      do i=1,99
        if (i.lt.4.or.i.gt.7) then
          inquire(i,OPENED=ouvert)
          if (.not.ouvert) then
            libre = i
            goto 1
          endif
        endif
      enddo
 1    if (libre.eq.0) then
        ifich = -1
      else
        ifich = libre
      endif
      end
